---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.38
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-storage-version-migrator-operator-658665d69b-wmwqn
      namespace: openshift-kube-storage-version-migrator-operator
      uid: 6e876ef1-deae-459e-b55d-523cecc2d7d3
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:05Z"
    creationTimestamp: "2025-10-27T11:18:32Z"
    generateName: metrics-
    generation: 7
    labels:
      app: kube-storage-version-migrator-operator
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e289f3c4-d764-4ea8-a7b1-1b502397f3b8"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:05Z"
    name: metrics-b2gxq
    namespace: openshift-kube-storage-version-migrator-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: e289f3c4-d764-4ea8-a7b1-1b502397f3b8
    resourceVersion: "45354"
    uid: c088cdf4-eb66-46bf-b90d-fd48f0f16d01
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220254"
